<!DOCTYPE html>
<html lang="en">
{% include 'header.html' %}
<body>
<div id="segment_id" style="height:100%">
    {% include 'menu.html' %}
    <div class="ui grid" style="height:100%">
        <div class="ui column" style="width: 75px; padding-top: 50px; height: 100%">
            {% include 'project/sidebar.html' %}
        </div>
        <div class="ui column" style="width: calc(100% - 75px); height: 100%">
            <div>
                <h1 class="ui header" style="float: left;">Reports</h1>
                <a class="ui green button" style="float: right;" href="/project/{{ current_project['id'] }}/reports/export/json"  target="_blank" rel="noopener noreferrer"><i class="icon download"></i>JSON</a>
                <div class="ui divider" style="float:left; width: 100%; margin: 0;"></div>
            </div>
            <script>
                $(document).ready(function () {
                    $('.ui.dropdown')
                        .dropdown({
                            fullTextSearch: "exact"
                        })
                    ;

                    $('.message .close')
                        .on('click', function () {
                            $(this)
                                .closest('.message')
                                .transition('fade')
                            ;
                        });
                    var table = $('#reports-list').DataTable({
                        "order": [[2, "desc"]],
                        "iDisplayLength": -1,
                        "paging": false,
                        "bInfo": false,
                        "searching": false,
                        'columnDefs': [{
                            'targets': 2,
                            'searchable': false,
                            'orderable': false,
                        }]
                    });
                });

                function filename_change(obj) {
                    button_obj = $('#file_button')[0];
                    if (obj.files.length === 1) {
                        button_obj.innerText = " " + obj.files[0].name;
                    } else if (obj.files.length > 1) {
                        button_obj.innerText = " selected " + obj.files.length + " files";
                    } else {
                        button_obj.innerText = " Open file";
                    }
                }
            </script>
            <style>
                tr.odd {
                    background-color: #fffdc2;
                }

                tr.even {
                    background-color: #c3ffcd;
                }

                .ui.menu:last-child {
                    margin-bottom: 0px;
                }

                div.ui.stackable.grid {
                    margin-left: 0px;
                }

                #reports-list_wrapper {
                    height: 80%;
                    overflow: auto;
                }
            </style>
            <div class="ui container" style="width: 100%; height: 100%">
                <div class="ui grid" style="height: 100%; width: 100%">
                    <div class="ui eight wide column" style="height: 100%">
                        <h2 class="ui dividing header" style="width: 50%"><i class="plus icon"></i>Create a report</h2>
                        <form class="ui form" style="max-width:50%" enctype="multipart/form-data" data-name="Email Form"
                              method="post" action="/project/{{ current_project['id'] }}/reports/">
                            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                            <div class="ui field">
                                <select class="ui dropdown" name="template_id">
                                    <option value="">Saved template</option>
                                    {% for team in db.select_user_teams(current_user['id']) %}
                                        {% for template in db.select_report_templates(team_id=team['id']) %}
                                            <option value="{{ template['id'] }}">{{ escape(team['name']) }}
                                                - {{ escape(template['name']) }}</option>
                                        {% endfor %}
                                    {% endfor %}
                                    {% for template in db.select_report_templates(user_id=current_user['id']) %}
                                        <option value="{{ template['id'] }}">
                                            (private) {{ escape(template['name']) }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                            <label>or upload zip/doc(x)/plaintext file </label>
                            <div class="ui field">
                                <label for="file" class="ui icon button" style="margin-bottom: 15px;">
                                    <div><i class="file icon"></i><div id="file_button" style="display: initial;"> Open File</div></div></label>
                                <input type="file" id="file" name="file" onchange="filename_change(this);" style="display:none">
                            </div>
                            <label>Template files' extentions (for .zip templates)</label>
                            <div class="ui field">
                                <div class="ui input">
                                    <input type="text" name="extentions" placeholder="txt/tex/html/...">
                                </div>
                            </div>
                            <button class="ui button blue" type="submit" value="Download">
                                <i class="ui download icon"></i>Download
                            </button>
                            {% if errors is defined and errors %}
                                <div class="ui error message visible">
                                    <i class="close icon"></i>
                                    <div class="header">
                                        There were some errors with template generation:
                                    </div>
                                    <ul class="list">
                                        {% for error in errors %}
                                            <li>{{ error }}</li>
                                        {% endfor %}
                                    </ul>
                                </div>
                            {% endif %}
                            {% if exception is defined and exception != '' %}
                                <div class="ui error message visible">
                                    <i class="close icon"></i>
                                    <div class="header">
                                        Exception during runtime:
                                    </div>
                                    <ul class="list">
                                        <li>{{ escape(exception) }}</li>
                                    </ul>
                                </div>
                            {% endif %}
                        </form>
                    </div>
                    <div class="ui eight wide column" style="height: 100%">
                        <h2 class="ui dividing header"><i class="history icon"></i>History</h2>
                        <table id="reports-list" class="ui table" style="width:100%; overflow: auto; height:100%">
                            <thead>
                            <tr>
                                <th>Report type</th>
                                <th>Creation date</th>
                                <th style="width: 80px;">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for report in db.select_project_reports(current_project['id']) %}
                                <tr>
                                    <td>{{ escape(report['filename']) }}</td>
                                    <td>{{ format_date(report['description'],'%H:%M '+date_format_template) }}</td>
                                    <td style="float: left">
                                        <form action="/project/{{ current_project['id'] }}/files/{{ report['id'] }}/"
                                              method="post"
                                              onsubmit="return delete_prompt(this,'Are you sure to delete file {{ escape(current_project['id']) }}?')">
                                            <a class="ui button icon blue" href="/static/files/code/{{ report['id'] }}">
                                                <i class="ui download icon"></i>
                                            </a>
                                            <input type="hidden" name="action" value="delete">
                                            <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                                            <button type="submit" class="ui button icon red"><i class="ui trash icon"></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        {% include 'footer.html' %}
    </div>
</div>
</body>
</html>